### Method

# Gck Slot open_session_full_async

#### Declaration [src]

    void
    gck_slot_open_session_full_async (
      GckSlot* self,
      GckSessionOptions options,
      gulong pkcs11_flags,
      gpointer app_data,
      CK_NOTIFY notify,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Open a session on the slot. If the ‘auto reuse’ setting is set, then this may be a recycled session with the same flags.

This call will return immediately and complete asynchronously.

This method is not directly available to language bindings.

#### Parameters

`options`

  Type: `GckSessionOptions`

  Options to open the new session with.

`pkcs11_flags`

  Type: `gulong`

  Additional raw PKCS#11 flags.

`app_data`

  Type: `gpointer`

  Application data for notification callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`notify`

  Type: `CK_NOTIFY`

  PKCS#11 notification callback.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.